×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Jul 2014
    Posts
    14

    Series 40 6th Edition SDK Emulator NOT WORKING WITH LWUIT

    Hi. First I am working in Netbeans.

    Trying to compile a basic app consisting of Display.init(this) with ANY version of the LWUIT JAR in the 6th edition emulator throws a preverifying error, no matter the obfuscation level.

    I know this is a problem with the Emu or Build environment because with the Asha emulator it works fine.

    This is VERY annoying and will probably be the reason I am forced to use LCDUI

    My theory is that the later releases of LWUIT have somehow broken it for the older devices

    Any ideas?
    Last edited by fenix00; 2014-08-21 at 08:38.

  2. #2
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,772

    Re: Series 40 6th Edition SDK Emulator NOT WORKING WITH LWUIT

    Which LWUIT version have you downloaded, from where?

  3. #3
    Registered User
    Join Date
    Jul 2014
    Posts
    14

    Re: Series 40 6th Edition SDK Emulator NOT WORKING WITH LWUIT

    Quote Originally Posted by wizard_hu_ View Post
    Which LWUIT version have you downloaded, from where?
    The version included with Asha SDK 1.1 inside the plugin folder. I have tried every combination of those with the S40 6th Edition emulator but no luck at all. It also seems like the 6th Edition platform is missing a bunch of classes (LCDUI Category Bar i've noticed is not there either). I am using Netbeans and yes I have ticked all the optional packages within the emulator platform, still no luck.

    Thanks!

  4. #4
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,772

    Re: Series 40 6th Edition SDK Emulator NOT WORKING WITH LWUIT

    Libraries packed into any platform SDK are not expected to work on older platforms. Get something from https://github.com/nokia-developer/lwuit-for-series-40.

  5. #5
    Registered User
    Join Date
    Jul 2014
    Posts
    14

    Re: Series 40 6th Edition SDK Emulator NOT WORKING WITH LWUIT

    Quote Originally Posted by wizard_hu_ View Post
    Libraries packed into any platform SDK are not expected to work on older platforms. Get something from https://github.com/nokia-developer/lwuit-for-series-40.
    As far as I can tell, this is the same as the library included with the Nokia SDK. It is the same LWUIT project

Similar Threads

  1. Help...s60 3rd Edition FP1 emulator not working properly
    By TheSersi in forum Symbian Tools & SDKs
    Replies: 5
    Last Post: 2010-07-07, 06:28
  2. Nokia Series 40 5Th Edition device signing not working.
    By manasmchex in forum Mobile Java General
    Replies: 26
    Last Post: 2009-11-25, 12:33
  3. DateField not working with Series 60 3rd edition FP2 Emulator..
    By rohanwaugh in forum Mobile Java General
    Replies: 1
    Last Post: 2009-01-05, 15:30
  4. is 3rd edition sip plugin working on Emulator ?
    By jcaradec in forum Symbian Networking & Messaging (Closed)
    Replies: 1
    Last Post: 2007-01-29, 19:09
  5. Replies: 0
    Last Post: 2006-02-11, 16:54

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×